#ifndef _TEX_H_
#define _TEX_H_

#include <stdlib.h>
#include <GLUT/glut.h>
#include <stdio.h>

/*Some multi-texturing stuff */
GLfloat gOffset = 0.0f;
GLfloat gbMultitexturing = GL_TRUE;

#define glMultiTexCoord2f	glMultiTexCoord2fARB
#define glActiveTexture		glActiveTextureARB

#define BASE_TEX_NAME	10
#define LIGHT_TEX_NAME	11

using namespace std;

/*data structure for the image used for  texture mapping */
typedef struct Image {
  unsigned long sizeX;
  unsigned long sizeY;
  char *data;
} Image;

Image *TextureImage;

typedef struct RGB {
  GLubyte r;
  GLubyte g; 
  GLubyte b;
} RGB;

//RGB myimage[64][64];
RGB* pixel;

//forward declaration of image loading and texture set-up code
int ImageLoad(char *filename, Image *image);
GLvoid LoadTexture(char* image_file, int tex_id);
void init_tex();

#endif

